구름(goorm)은 클라우드 코딩 서비스로 웹브라으저를 사용하여 개발 환경을 구축해서 프로그래밍 할 수 있고, 프로그래밍 교육에서도 사용할 수 있다.

http://goorm.io/


 

컨테이서 생성 시 사용할 프로그래밍 언어 환경을 선택할 수 있는데 ruby를 선택해서 생성하면 ruby의 버전이 1.9.3 버전이다.

 

ruby 최신 버전을 설치하고 싶다면 직접 설치해야 한다.

나는 rbenv를 사용하여 설치했다. 이유는 특정 gem의 경우 최신 버전의 ruby를 지원하지 못하는 경우도 있어서 다양한 버전의 ruby를 사용하기 위해서이다.

 

goorm에서 apt-get으로 rbenv를 설치할 수 있지만 이 경우 최신 버전의 ruby를 인식 못한다. 그래서 직접 rbenv와 플러그인 ruby-build를 설치하는 것이 좋다.

 

git clone https://github.com/sstephenson/rbenv.git ~/.rbenv

git clone https://github.com/sstephenson/ruby-build.git ~/.rbenv/plugins/ruby-build

echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bash_profile

echo 'eval "$(rbenv init -)"' >> ~/.bash_profile

 

source ~/.bash_profile

rbenv --version

 

rbenv install -l

rbenv install 2.2.2

저작자 표시
신고
by 흥배 2015.08.06 08:00
| 1 |

티스토리 툴바